const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v3_a = arg1[48];
    st7_global_2d_to_2d_local = z.z * *((v3_a - 32)) + *((v3_a - 16)) # st7;
    v1_1b = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v4_31 = *((v3_a - 24)) # bp+31;
    storemerge5 = st7_global_2d_to_2d_local - v4_31 if v1_1b & 0x4100 != 0 else v4_31 - st7_global_2d_to_2d_local;
    *z.z = st7_global_2d_to_2d_local * storemerge5 / *((v3_a - 40)) - *((v3_a - 16));
    return z.x_global_2d_to_2d_local;


	}